{
  description = "cli tool to migrate from git{hub,lab} to a gitea instance";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
    flake-parts.inputs.nixpkgs.follows = "nixpkgs";
    haskell-flake.url = "github:srid/haskell-flake";
    relude = {
      url = "github:kowainik/relude";
      flake = false;
    };
  };

  outputs = { self, nixpkgs, flake-parts, haskell-flake, ... }@inputs:
    flake-parts.lib.mkFlake { inherit self; } {
      imports = [
        haskell-flake.flakeModule
      ];
      systems = nixpkgs.lib.systems.flakeExposed;
      perSystem = { self', pkgs, ... }: {
        haskellProjects.default = {
          haskellPackages = pkgs.haskell.packages.ghc923;
          root = ./.;
          source-overrides = { inherit (inputs) relude; };
          overrides = self: super: with pkgs.haskell.lib; {
            retry = dontCheck super.retry;
            relude = dontCheck super.relude;
          };
          buildTools = hp: {
            ghcid = null;
            hlint = null;
          };
        };
      };
    };
}
